Reminders
Update a reminder
PATCH
/
reminders
/
{id}
Update a reminder
curl --request PATCH \
--url https://api.breakcold.com/rest/reminders/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"id_lead": "<string>",
"name": "<string>",
"date": "2023-11-07T05:31:56Z",
"cron": "<string>",
"is_done": true,
"users": [
"<string>"
]
}
'import requests
url = "https://api.breakcold.com/rest/reminders/{id}"
payload = {
"id_lead": "<string>",
"name": "<string>",
"date": "2023-11-07T05:31:56Z",
"cron": "<string>",
"is_done": True,
"users": ["<string>"]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id_lead: '<string>',
name: '<string>',
date: '2023-11-07T05:31:56Z',
cron: '<string>',
is_done: true,
users: ['<string>']
})
};
fetch('https://api.breakcold.com/rest/reminders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "<string>",
"name": "<string>",
"cron": "<string>",
"cron_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"is_deleted": true,
"is_done": true,
"ressource_link": "<string>",
"ai_generated": true,
"ai_action_channel": "<string>",
"ai_action_description": "<string>",
"ai_action_priority": "<string>",
"ai_action_reasoning": "<string>",
"ai_time_precision": "<string>",
"ai_followup_strategy": "<string>",
"ai_action_rationale": "<string>",
"ai_draft_subject": "<string>",
"ai_draft_message": "<string>",
"ai_draft_metadata": "<string>",
"id_lead": "<string>",
"id_space": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorizations
Path Parameters
Body
application/json
Response
Successful response
Was this page helpful?
⌘I
Update a reminder
